curl --request GET \
--url https://easy-peasy.ai/api/get-text-to-speech-configimport requests
url = "https://easy-peasy.ai/api/get-text-to-speech-config"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://easy-peasy.ai/api/get-text-to-speech-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://easy-peasy.ai/api/get-text-to-speech-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://easy-peasy.ai/api/get-text-to-speech-config"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://easy-peasy.ai/api/get-text-to-speech-config")
.asString();require 'uri'
require 'net/http'
url = URI("https://easy-peasy.ai/api/get-text-to-speech-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyGet TTS Configuration
Retrieve available filter options for text-to-speech voices.
Returns the available languages, accents, genders, ages and use cases, and the total number of ready-made voices.
This endpoint helps you understand what filter values you can use when calling the /api/get-text-to-speech-voices endpoint.
Workflow:
- Call without parameters to get all available languages
- Choose a language
- Call with
languageparameter to get accents available for that language - Use language and accent to filter voices in
/api/get-text-to-speech-voices
Note: This endpoint does not require authentication.
curl --request GET \
--url https://easy-peasy.ai/api/get-text-to-speech-configimport requests
url = "https://easy-peasy.ai/api/get-text-to-speech-config"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://easy-peasy.ai/api/get-text-to-speech-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://easy-peasy.ai/api/get-text-to-speech-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://easy-peasy.ai/api/get-text-to-speech-config"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://easy-peasy.ai/api/get-text-to-speech-config")
.asString();require 'uri'
require 'net/http'
url = URI("https://easy-peasy.ai/api/get-text-to-speech-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyQuery Parameters
Filter accents by language (e.g., "English", "Spanish", "French")
Response
Successfully retrieved configuration
List of all available languages (sorted alphabetically)
["English", "Spanish", "French", "German"]
List of available accents. If language parameter was provided, only accents for that language are returned.
[ "American", "British", "Australian", "Indian" ]
Total number of predefined voices available
150
The language filter that was applied, or null if no filter was used
"English"
Number of voices available for the filtered language, or null if no filter was used
85
Genders available (for the language, if given)
female, male, neutral ["female", "male", "neutral"]
Ages available (for the language, if given)
young, middle_aged, old ["young", "middle_aged", "old"]
Use cases available (for the language, if given)
conversational, narrative_story, informative_educational, social_media, characters_animation, entertainment_tv, advertisement [ "conversational", "narrative_story", "informative_educational", "social_media", "characters_animation", "entertainment_tv", "advertisement" ]
Was this page helpful?
